rpmsign.h File Reference
`#include <rpm/argv.h>`
`#include <rpm/rpmpgp.h>`
Include dependency graph for rpmsign.h:

Go to the source code of this file.

## Data Structures

struct | rpmSignArgs

## Typedefs

typedef rpmFlags | rpmSignFlags

## Enumerations

enum | rpmSignFlags_e { RPMSIGN_FLAG_NONE = 0, RPMSIGN_FLAG_IMA = (1 << 0), RPMSIGN_FLAG_RPMV3 = (1 << 1) }

## Functions

int | rpmPkgSign (const char *path, const struct rpmSignArgs *args)
int | rpmPkgDelSign (const char *path, const struct rpmSignArgs *args)

## Detailed Description

Signature API

Definition in file rpmsign.h.

## Typedef Documentation

## rpmSignFlags

typedef rpmFlags rpmSignFlags

Definition at line 21 of file rpmsign.h.

## Enumeration Type Documentation

## rpmSignFlags_e

enum rpmSignFlags_e

Enumerator
RPMSIGN_FLAG_NONE |
RPMSIGN_FLAG_IMA |
RPMSIGN_FLAG_RPMV3 |

Definition at line 16 of file rpmsign.h.